/*
	MSAppleEvents.h 
	
	Version 3.1
	
	Copyright  1995 Apple Computer, Inc., all rights reserved.
	
	MenuScripter by Nigel Humphreys and Jon Lansdell
	AppleEvent to script extensions by Greg Sutton
*/

#ifndef __MSAPPLEEVENTS__
#define __MSAPPLEEVENTS__

#include <Types.h>
#include <Quickdraw.h>
#include <Packages.h>
#include <GestaltEqu.h>
#include <Printing.h>
#include <AppleEvents.h>

#ifndef __MSGLOBALS__
#include <MSGlobals.h>
#endif

pascal void InitAppleEvents(void);
pascal void DoAppleEvent(EventRecord theEvent);

pascal OSErr MakeSelfAddress(AEAddressDesc *selfAddress);

/*
	Text Commands
*/
pascal void IssueCutCommand(DPtr theDocument);
pascal void IssueCopyCommand(DPtr theDocument);
pascal void IssuePasteCommand(DPtr theDocument);
pascal void IssueClearCommand(DPtr theDocument);
pascal void IssueFontCommand(DPtr theDocument, short theItem);
pascal void IssueSizeCommand(DPtr theDocument, short theItem);
pascal void IssueStyleCommand(DPtr theDocument, short theItem);

/*
	Window Commands
*/

pascal void IssueZoomCommand(WindowPtr whichWindow, short whichPart);
pascal void IssueCloseCommand(WindowPtr whichWindow);
pascal void IssueSizeWindow(WindowPtr whichWindow, short newHSize,short newVSize);
pascal void IssueMoveWindow(WindowPtr whichWindow, Rect sizeRect);
pascal void IssuePageSetupWindow(WindowPtr whichWindow, TPrint thePageSetup);
pascal void IssuePrintWindow(WindowPtr whichWindow);
pascal void IssueSelectWindowCommand(WindowPtr theWindow, WindowPtr oldFrontWindow);

/*
	Document Commands
*/
pascal OSErr IssueAEOpenDoc(FSSpec myFSSpec);
pascal void  IssueAENewWindow(void);
pascal OSErr IssueSaveCommand(WindowPtr theWindow, FSSpecPtr where);
												
pascal OSErr IssueRevertCommand(WindowPtr theWindow);
pascal OSErr IssueQuitCommand(void);

/*
	Recording of Keystrokes
*/

pascal void AddKeyToTypingBuffer(DPtr theDocument, char theKey);
pascal void FlushAndRecordTypingBuffer(void);


#endif