/*
	MSGlobals.h
	
	Version 3.1
	
	Copyright  1995 Apple Computer, Inc., all rights reserved.
	
	MenuScripter by Nigel Humphreys and Jon Lansdell
	AppleEvent to script extensions by Greg Sutton
*/

#ifndef __MSGLOBALS__
#define __MSGLOBALS__

#include <Types.h>
#include <Quickdraw.h>
#include <Menus.h>
#include <Printing.h>
#include <Files.h>
#include <AppleEvents.h>
#include <OSA.h>

#define  MenuScripterAppSig 'SVEd'

#define  WindowID     128
#define  ErrorAlert   256
#define  AdviseAlert  257

/*
	Menu Resource IDs
*/
  
#define  appleID	128
#define  fileID		129
#define  editID		130
#define  mfontID	131
#define	 sizeID		132
#define  styleID	133
#define  mscriptID	134
  
#define  kLastID	mscriptID

/*
	Items in Apple Menu
*/
  
#define  aboutItem  1
  
/*
	Items in File Menu
*/
  
#define  fmNew 			     1
#define  fmOpen 			 2
#define  fmClose 			 4
#define  fmSave 			 5
#define  fmSaveAs 			 6
#define  fmRevert 			 7
#define  fmPageSetUp 		 9
#define  fmPrint 			 10
#define  fmQuit 			 12
  
/*
	Items in Edit Menu
*/

#define  undoCommand 			 1
#define  cutCommand 			 3
#define  copyCommand 			 4
#define  pasteCommand 			 5
#define  clearCommand 			 6
#define  selectAllCommand 		 7

/*
	Items in Style Menu
*/

#define  cPlain 		 	1
#define  cBold 			 	2
#define  cItalic 			3
#define  cUnderline 		4
#define  cOutline 			5
#define  cShadow 			6
#define  cCondense 		 	7
#define  cExtend 			8

/*
	Items in Script Menu
*/

#define  cCompile		 	1
#define  cExecute		 	2
#define	 cScript1			4
#define	 cScript2			5
#define	 cScript3			6
#define	 cScript4			7


/*
	Entry of Menu in myMenus
*/

#define  appleM 		0
#define  fileM 		 	1
#define  editM 		 	2
#define  fontM 		 	3
#define  sizeM 		 	4
#define  styleM 		5
#define  scriptM 		6
#define  kLastMenu		scriptM

/*
	Save Changes Dialog Items
*/
  
#define  aaSave 		 	1
#define  aaDiscard 	 		2
#define  aaCancel 		 	3

#define  kOSEvent			   app4Evt		/*event used by MultiFinder*/
#define  kSuspendResumeMessage		 1		/*high byte of suspend/resume event message*/
#define  kResumeMask				 1		/*bit of message field for resume vs. suspend*/
#define  kMouseMovedMessage		  0xFA		/*high byte of mouse-moved event message*/
#define  kNoEvents					 0		/*no events mask*/
  

struct DocRec {
  TEHandle         theText;
  ControlHandle    vScrollBar;
  ControlHandle    hScrollBar;
  WindowPtr        theWindow;
  Boolean          dirty;
  short            refNum;
  short            theFont;
  short            theSize;
  Style            theStyle;
  Str255           theFileName;
  FSSpec		   theFSSpec;
  short            lastID;      /*the last sectionID*/
  THPrint          thePrintSetup;
  Rect             pageSize;    /*From thePrintSetUp^^.prInfo.rPage but 0 offset*/
  Boolean          everSaved;
  Boolean          isScriptWindow;
  short            scriptResID;
};

typedef struct DocRec DocRec;
typedef DocRec *DPtr;

struct HeaderRec {
  Str255    theFont;
  short		theSize;
  Style     theStyle;
  short     theLength;
  short     lastID;
};

typedef struct HeaderRec HeaderRec;
typedef HeaderRec *HPtr, **HHandle;

#ifndef __COMPGLOBALS__
extern ControlActionUPP gScrollScriptVActionUPP;
extern ControlActionUPP gScrollDocVActionUPP;
extern ControlActionUPP gScrollDocHActionUPP;
extern ControlActionUPP gDrawStyledTextUPP;
extern ControlActionUPP gDrawScrollBarUPP;

extern short      	gWCount;
extern short      	gNewDocCount;
extern MenuHandle 	myMenus[kLastMenu+1];
extern short      	gFontMItem;
extern Boolean    	gQuitting;
extern Cursor     	editCursor;
extern Cursor     	waitCursor;
extern Boolean		gInBackground;

extern AEIdleUPP	gAEIdleUPP;

  
  /*now for the environment variables set up by Gestalt*/
  
extern Boolean    gGestaltAvailable;
extern Boolean    gAppleEventsImplemented;
extern Boolean    gAliasManagerImplemented;
extern Boolean    gOutlineFontsImplemented;

#endif

#endif